
# Define Mandrake Linux version we are building for
%define mdkversion %(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)

%define buildfor8_2 %(perl -e 'print int(%{mdkversion} == 820)')
%define buildfor9_0 %(perl -e 'print int(%{mdkversion} == 900)')
%define buildfor9_1 %(perl -e 'print int(%{mdkversion} == 910)')
%define buildfor9_2 %(perl -e 'print int(%{mdkversion} == 920)')
%define buildfor10_0 %(perl -e 'print int(%{mdkversion} == 1000)')
%define buildfor10_1 %(perl -e 'print int(%{mdkversion} == 1010)')

%define __libtoolize    /bin/true

%define name	kimdaba
%define version 1.1
%define release	8mdk
%define	Summary	K Image Database

%define major	1
%define libname	%mklibname %{name} %{major}

Summary: 	%{Summary}
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Graphical desktop/KDE
Source0: 	%{name}-%{version}.tar.bz2

URL: 		http://ktown.kde.org/kimdaba/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%if %mdkversion >= 920
BuildRequires:  kdelibs-devel >= 3.1 arts-devel >= 1.1 jpeg-devel fam-devel XFree86-devel
BuildRequires:  png-devel libart_lgpl-devel libz-devel libxml2-devel
BuildRequires:  mng-devel autoconf2.5 automake >= 1.6
%else
BuildRequires:	kdelibs-devel >= 3.1 libarts-devel >= 1.1 libjpeg-devel libfam-devel XFree86-devel
BuildRequires:	libpng-devel libart_lgpl2-devel libz-devel libxml2-devel
BuildRequires:	libmng-devel 
%endif

%description
Image database for KDE

%prep
%setup -q

%build
make -f admin/Makefile.common

# QTDIR is always set to /usr/lib/qt3
export QTDIR=%_prefix/lib/qt3
export QTLIB=$QTDIR/%{_lib}

# search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts hereunder
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure


%{?__cputoolize: %{__cputoolize} }
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
%configure	--build=%{_target_platform} \
		--disable-rpath \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--with-xinerama
#		--enable-final
%make

%install
rm -rf %{buildroot}
%{makeinstall_std}

# Create LMDK menu entries
install -d %buildroot/%_menudir/

kdedesktop2mdkmenu.pl kimdaba Multimedia/Graphics %buildroot/%_datadir/applications/kde/kimdaba.desktop %buildroot/%_menudir/kimdaba

%{find_lang} %{name}

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus


%files -f %{name}.lang
%defattr(-, root, root, 0755)

%_bindir/*
%_menudir/*
%_datadir/applications/kde/*.desktop
%_datadir/apps/kimdaba/default-setup
%_datadir/apps/kimdaba/*.js
%_datadir/apps/kimdaba/*.rc
%_datadir/apps/kimdaba/tips

%dir %_datadir/apps/kimdaba/
%dir %_datadir/apps/kimdaba/pics/
%_datadir/apps/kimdaba/pics/*.png
%_datadir/apps/kimdaba/pics/*.jpg

%dir %_datadir/apps/kimdaba/demo/
%_datadir/apps/kimdaba/demo/*.jpg
%_datadir/apps/kimdaba/demo/*.xml

%dir %_datadir/apps/kimdaba/demo/CategoryImages/
%_datadir/apps/kimdaba/demo/CategoryImages/*.jpg
#%_datadir/apps/kimdaba/demo/CategoryImages/*.xml

%dir %_datadir/apps/kimdaba/themes/
%dir %_datadir/apps/kimdaba/themes/blue/
%_datadir/apps/kimdaba/themes/blue/*.html
%_datadir/apps/kimdaba/themes/blue/*.theme
%_datadir/apps/kimdaba/themes/blue/*.css

%dir %_datadir/apps/kimdaba/themes/rounded/
%_datadir/apps/kimdaba/themes/rounded/*.png
%_datadir/apps/kimdaba/themes/rounded/*.html
%_datadir/apps/kimdaba/themes/rounded/*.theme
%_datadir/apps/kimdaba/themes/rounded/*.css


%dir %_docdir/HTML/en/kimdaba/
#%doc %_docdir/HTML/en/kimdaba/*.html
%doc %_docdir/HTML/en/kimdaba/*.bz2
%doc %_docdir/HTML/en/kimdaba/common
%doc %_docdir/HTML/en/kimdaba/*.png
%doc %_docdir/HTML/en/kimdaba/*.docbook

%dir %_docdir/HTML/sv/kimdaba/
%doc %_docdir/HTML/sv/kimdaba/*.bz2
%doc %_docdir/HTML/sv/kimdaba/common
%doc %_docdir/HTML/sv/kimdaba/*.png
%doc %_docdir/HTML/sv/kimdaba/*.docbook

%dir %_docdir/HTML/et/kimdaba/
%doc %_docdir/HTML/et/kimdaba/*.bz2
%doc %_docdir/HTML/et/kimdaba/common
%doc %_docdir/HTML/et/kimdaba/*.docbook

%dir %_docdir/HTML/da/kimdaba/
%doc %_docdir/HTML/da/kimdaba/*.bz2
%doc %_docdir/HTML/da/kimdaba/common
%doc %_docdir/HTML/da/kimdaba/*.docbook

%dir %_docdir/HTML/it/kimdaba/
%doc %_docdir/HTML/it/kimdaba/*.bz2
%doc %_docdir/HTML/it/kimdaba/common
%doc %_docdir/HTML/it/kimdaba/*.docbook


%dir %_datadir/apps/kimdaba/icons/
%dir %_datadir/apps/kimdaba/icons/hicolor/
%dir %_datadir/apps/kimdaba/icons/hicolor/16x16/actions/
%_datadir/apps/kimdaba/icons/hicolor/16x16/actions/ellipsetool.png
%_datadir/apps/kimdaba/icons/hicolor/16x16/actions/linetool.png
%_datadir/apps/kimdaba/icons/hicolor/16x16/actions/recttool.png
%_datadir/apps/kimdaba/icons/hicolor/16x16/actions/selecttool.png
%_datadir/apps/kimdaba/icons/hicolor/16x16/actions/texttool.png


%dir %_datadir/icons/hicolor/128x128/apps/
%_datadir/icons/hicolor/128x128/apps/kimdaba.png
%_datadir/icons/hicolor/16x16/apps/kimdaba.png
%_datadir/icons/hicolor/22x22/apps/kimdaba.png
%_datadir/icons/hicolor/32x32/apps/kimdaba.png
%_datadir/icons/hicolor/48x48/apps/kimdaba.png
%_datadir/icons/hicolor/64x64/apps/kimdaba.png



%changelog
* Mon Aug 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-8mdk
- Rebuild for missing package

* Tue Jun 08 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.1-6mdk
- fix buildrequires
- add minimal, but still better description

* Thu Jun 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-5mdk
- Rebuild 

* Tue May 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.1-4mdk
- fix buildrequires

* Thu Apr 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-3mdk
- Patch from gbeauchesne@mandrakesoft.com fix build on amd64

* Tue Feb 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-2mdk
- Fix destlint

* Fri Feb 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-1mdk
- 1.1

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-3mdk
- Rebuild

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-2mdk
- Add menu entry

* Tue Dec 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Wed Dec 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-1mdk
- Initial package

